import React from 'react';
import PropTypes from 'prop-types';
import tinycolor from 'tinycolor2';

import useStyles from './styles';

const ClientPreview = ({
  logo,
  color: buttonColor,
  textColor,
  backgroundColor,
  backgroundImage,
  isBgColorOn,
  isBgImageOn,
}) => {
  const classes = useStyles();

  const colorShade = tinycolor(buttonColor).setAlpha(.08).toRgbString();

  return (
    <div
      className={classes.clientPreview}
      style={{
        backgroundColor: isBgColorOn && backgroundColor && backgroundColor,
        backgroundImage: isBgImageOn && backgroundImage && `url(${encodeURI(backgroundImage)})`
      }}
    >
      <div className={classes.homepage}>
        <header>
          <img src={logo} alt='previewLogo' />
          <div className='icon search'>
            <svg viewBox='0 0 20 20' fill='none' width='1em' height='1em' xmlns='http://www.w3.org/2000/svg'>
              <g>
                <path
                  fillRule='evenodd'
                  clipRule='evenodd'
                  d='M12.9167 11.6667H12.2583L12.025 11.4417C12.8417 10.4917 13.3333 9.25833 13.3333 7.91667C13.3333 4.925 10.9083 2.5 7.91667 2.5C4.925 2.5 2.5 4.925 2.5 7.91667C2.5 10.9083 4.925 13.3333 7.91667 13.3333C9.25833 13.3333 10.4917 12.8417 11.4417 12.025L11.6667 12.2583V12.9167L15.8333 17.075L17.075 15.8333L12.9167 11.6667ZM7.91667 11.6667C5.84167 11.6667 4.16667 9.99167 4.16667 7.91667C4.16667 5.84167 5.84167 4.16667 7.91667 4.16667C9.99167 4.16667 11.6667 5.84167 11.6667 7.91667C11.6667 9.99167 9.99167 11.6667 7.91667 11.6667Z'
                  fill='currentColor' />
              </g>
            </svg>
          </div>
          <div className='icon'>
            <svg viewBox='0 0 24 24' fill='none' width='1em' height='1em' xmlns='http://www.w3.org/2000/svg'>
              <g>
                <path
                  fillRule='evenodd'
                  clipRule='evenodd'
                  d='M3 18H21V16H3V18ZM7 13H21V11H7V13ZM3 6V8H21V6H3Z'
                  fill='currentColor'
                />
              </g>
            </svg>
          </div>
        </header>

        <div className='callWaiterSection'>
          <div className='callWaiterButton' style={{ background: buttonColor, color: textColor }}>
            <svg className='callWaiterButtonBorder' width='60' height='60' viewBox='0 0 110 110'
                 xmlns='http://www.w3.org/2000/svg'>
              <path
                d='M67.2091,107.431 C67.3552,108.058 66.9652,108.687 66.3347,108.819 C55.1035,111.185 43.4024,109.979 32.8764,105.354 C21.9941,100.573 12.9536,92.395 7.1088,82.045 C1.26396,71.695 -1.07059,59.73 0.45475,47.942 C1.98009,36.154 7.2832,25.1773 15.57,16.6559 C23.8567,8.1345 34.681,2.5269 46.4219,0.6731 C58.1627,-1.1808 70.1882,0.8188 80.6973,6.3724 C91.2065,11.9259 99.634,20.7346 104.717,31.4792 C109.634,41.8719 111.166,53.5348 109.115,64.8277 C109,65.4616 108.382,65.869 107.751,65.7405 C107.12,65.6119 106.714,64.9961 106.828,64.362 C108.779,53.5634 107.309,42.4139 102.608,32.4769 C97.74,22.1882 89.6706,13.7532 79.6072,8.4352 C69.5439,3.1172 58.0285,1.2024 46.7858,2.9777 C35.543,4.7529 25.1778,10.1225 17.2426,18.2825 C9.3074,26.4424 4.2292,36.9534 2.7686,48.2414 C1.30797,59.5294 3.5435,70.9868 9.1404,80.8977 C14.7372,90.809 23.3943,98.64 33.8149,103.218 C43.8792,107.64 55.0654,108.798 65.8054,106.547 C66.436,106.414 67.063,106.803 67.2091,107.431 Z' />
            </svg>
            <div className='icon'>
              <svg viewBox='0 0 36 36' fill='none' width='1em' height='1em' xmlns='http://www.w3.org/2000/svg'>
                <g>
                  <path
                    fillRule='evenodd'
                    clipRule='evenodd'
                    d='M28.5 17.25V15C28.5 10.2531 25.3313 6.23695 21 4.94229V4.50002C21 2.8455 19.6537 1.5 17.9999 1.5C16.3461 1.5 15 2.8455 15 4.50002V4.94229C10.6688 6.23695 7.49995 10.2531 7.49995 15V17.25C7.49995 22.2429 6.32517 23.997 5.46673 25.2781C4.97025 26.0201 4.5 26.721 4.5 27.75C4.5 30.1952 9.5973 31.0532 13.73 31.3487C14.3094 33.2038 16.0104 34.5 18 34.5C19.9896 34.5 21.6906 33.2038 22.27 31.3487C26.4027 31.0532 31.5 30.1951 31.5 27.75C31.5 26.721 31.0298 26.0201 30.5332 25.2781C29.6748 23.9971 28.5 22.243 28.5 17.25ZM16.5 4.50002C16.5 3.67315 17.1724 3.00005 18 3.00005C18.8276 3.00005 19.5 3.67315 19.5 4.50002V4.61984C19.0087 4.5491 18.5106 4.50002 18 4.50002C17.4894 4.50002 16.9913 4.5491 16.5 4.61984V4.50002ZM18 33C16.8789 33 15.8944 32.3813 15.3829 31.4428C16.4456 31.4876 17.3685 31.5 18 31.5C18.6316 31.5 19.5544 31.4876 20.6172 31.4428C20.1057 32.3813 19.1211 33 18 33ZM18 30C11.1313 30 5.99998 28.812 5.99998 27.75C5.99998 27.2015 6.23145 26.8316 6.71337 26.1131C7.62307 24.7537 9 22.6992 9 17.25V15C9 10.0371 13.0371 6 18 6C22.9629 6 27 10.0371 27 15V17.25C27 22.6992 28.3769 24.7537 29.2866 26.113C29.7686 26.8316 30 27.2014 30 27.75C30 28.812 24.8687 30 18 30Z M35.1065 12.5479C34.9747 12.1539 34.5528 11.943 34.1573 12.074C33.7647 12.2052 33.5523 12.6299 33.6827 13.0225C34.2246 14.6463 34.5001 16.3206 34.5001 18.0001C34.5001 19.6796 34.2246 21.3539 33.6827 22.9777C33.5523 23.3702 33.7647 23.7951 34.1573 23.9262C34.2364 23.9526 34.3155 23.965 34.3946 23.965C34.708 23.965 35.001 23.7665 35.1065 23.4523C35.6997 21.6761 36 19.8414 36 18.0001C36 16.1588 35.6997 14.3241 35.1065 12.5479Z M31.3135 13.0209C30.921 13.152 30.7086 13.5768 30.8389 13.9694C31.2769 15.2862 31.4996 16.642 31.4996 17.9999C31.4996 19.3578 31.2769 20.7135 30.8389 22.0304C30.7086 22.423 30.921 22.8478 31.3135 22.9789C31.3926 23.0046 31.4717 23.017 31.5508 23.017C31.8658 23.017 32.1573 22.8186 32.2628 22.5036C32.752 21.0344 32.9996 19.519 32.9996 18C32.9996 16.4809 32.752 14.9655 32.2628 13.4963C32.1309 13.1022 31.709 12.8949 31.3135 13.0209Z M1.49998 18.0004C1.49998 16.3224 1.77391 14.6473 2.31588 13.0228C2.44624 12.6295 2.23383 12.2047 1.84127 12.0736C1.44872 11.9476 1.02389 12.1556 0.892055 12.5482C0.300305 14.3265 0 16.1613 0 18.0004C0 19.8417 0.300305 21.6764 0.893531 23.4525C0.999 23.7668 1.29199 23.9653 1.60545 23.9653C1.68455 23.9653 1.76365 23.9528 1.84275 23.9265C2.2353 23.7953 2.44772 23.3706 2.31736 22.9779C1.77539 21.3541 1.49998 19.6798 1.49998 18.0004Z M5.16063 22.0305C4.72266 20.7136 4.49998 19.3579 4.49998 18C4.49998 16.642 4.72266 15.2863 5.16063 13.9695C5.29099 13.5769 5.07858 13.1521 4.68602 13.0209C4.28904 12.8942 3.86864 13.1022 3.7368 13.4963C3.24757 14.9656 3 16.4809 3 18C3 19.519 3.24757 21.0344 3.7368 22.5036C3.84227 22.8186 4.13379 23.0171 4.44872 23.0171C4.52782 23.0171 4.60692 23.0046 4.68602 22.9789C5.07858 22.8479 5.29099 22.4231 5.16063 22.0305Z'
                    fill='currentColor'
                  />
                </g>
              </svg>
            </div>
          </div>
          <div className='callWaiterTitle'>
            <span className='title'>Покликати офіціанта</span>
          </div>
        </div>

        <div className='actionMenu'>
          <div className='menuBtnLink' style={{ background: buttonColor, color: textColor }}>
            <div className='iconWrapper'>
              <div className='icon'>
                <svg viewBox='0 0 24 24' fill='none' width='1em' height='1em' xmlns='http://www.w3.org/2000/svg'>
                  <g>
                    <path
                      fillRule='evenodd'
                      clipRule='evenodd'
                      d='M21.842 0H4.17739C4.09037 0 4.00691 0.0345702 3.94537 0.0961056C3.88384 0.157641 3.84927 0.241101 3.84927 0.328125V3.14475H2.9082C2.62237 3.1451 2.34835 3.2588 2.14624 3.46091C1.94412 3.66302 1.83043 3.93704 1.83008 4.22287V4.74225C1.83038 5.0281 1.94406 5.30215 2.14618 5.50427C2.34831 5.70639 2.62236 5.82008 2.9082 5.82037H3.84927V8.15625H2.9082C2.62236 8.15655 2.34831 8.27023 2.14618 8.47235C1.94406 8.67448 1.83038 8.94853 1.83008 9.23438V9.75356C1.83038 10.0394 1.94406 10.3135 2.14618 10.5156C2.34831 10.7177 2.62236 10.8314 2.9082 10.8317H3.84927V13.1687H2.9082C2.62237 13.169 2.34835 13.2827 2.14624 13.4848C1.94412 13.687 1.83043 13.961 1.83008 14.2468V14.7662C1.83038 15.052 1.94406 15.3261 2.14618 15.5282C2.34831 15.7303 2.62236 15.844 2.9082 15.8443H3.84927V18.1807H2.9082C2.62236 18.181 2.34831 18.2947 2.14618 18.4969C1.94406 18.699 1.83038 18.973 1.83008 19.2589V19.7781C1.83038 20.0639 1.94406 20.338 2.14618 20.5401C2.34831 20.7422 2.62236 20.8559 2.9082 20.8562H3.84927V23.6719C3.84927 23.7589 3.88384 23.8424 3.94537 23.9039C4.00691 23.9654 4.09037 24 4.17739 24H21.842C21.929 24 22.0124 23.9654 22.074 23.9039C22.1355 23.8424 22.1701 23.7589 22.1701 23.6719V0.328125C22.1701 0.241101 22.1355 0.157641 22.074 0.0961056C22.0124 0.0345702 21.929 0 21.842 0ZM2.9082 5.16412C2.79636 5.16398 2.68914 5.11948 2.61006 5.0404C2.53097 4.96131 2.48648 4.85409 2.48633 4.74225V4.22287C2.48648 4.11103 2.53097 4.00381 2.61006 3.92473C2.68914 3.84564 2.79636 3.80115 2.9082 3.801H3.84927V5.16412H2.9082ZM2.9082 10.176C2.79635 10.1759 2.6891 10.1314 2.61 10.0523C2.53091 9.97323 2.48643 9.86598 2.48633 9.75412V9.23494C2.48633 9.123 2.53076 9.01563 2.60986 8.93643C2.68896 8.85722 2.79626 8.81265 2.9082 8.8125H3.84927V10.1754L2.9082 10.176ZM2.9082 15.1875C2.79636 15.1874 2.68914 15.1429 2.61006 15.0638C2.53097 14.9847 2.48648 14.8775 2.48633 14.7656V14.2463C2.48648 14.1344 2.53097 14.0272 2.61006 13.9481C2.68914 13.869 2.79636 13.8245 2.9082 13.8244H3.84927V15.1875H2.9082ZM2.9082 20.1994C2.79635 20.1993 2.6891 20.1548 2.61 20.0757C2.53091 19.9966 2.48643 19.8894 2.48633 19.7775V19.2583C2.48648 19.1465 2.53097 19.0393 2.61006 18.9602C2.68914 18.8811 2.79636 18.8366 2.9082 18.8364H3.84927V20.1994H2.9082ZM21.5138 23.3438H4.50552V0.65625H21.5138V23.3438Z M6.05225 14.4615H19.9668C20.0538 14.4615 20.1373 14.427 20.1988 14.3654C20.2604 14.3039 20.2949 14.2204 20.2949 14.1334V12.6919C20.2949 12.6049 20.2603 12.5215 20.1988 12.4599C20.1372 12.3984 20.0538 12.3638 19.9668 12.3638H19.1208V12.1125C19.1194 10.8091 18.702 9.54024 17.9295 8.49049C17.157 7.44074 16.0696 6.66494 14.8256 6.27602C14.8276 6.24077 14.8319 6.20533 14.8319 6.17046C14.8319 5.93115 14.7848 5.69418 14.6932 5.47309C14.6016 5.25199 14.4674 5.0511 14.2982 4.88189C14.129 4.71267 13.9281 4.57844 13.707 4.48686C13.4859 4.39528 13.2489 4.34814 13.0096 4.34814C12.7703 4.34814 12.5333 4.39528 12.3123 4.48686C12.0912 4.57844 11.8903 4.71267 11.7211 4.88189C11.5518 5.0511 11.4176 5.25199 11.326 5.47309C11.2344 5.69418 11.1873 5.93115 11.1873 6.17046C11.1873 6.20533 11.1914 6.24077 11.1937 6.27602C9.94967 6.66494 8.86224 7.44073 8.08967 8.49047C7.31709 9.54022 6.8997 10.8091 6.89825 12.1125V12.3638H6.05225C5.96524 12.3638 5.88181 12.3984 5.82028 12.4599C5.75876 12.5215 5.72417 12.6049 5.72412 12.6919V14.1334C5.72412 14.2204 5.75869 14.3039 5.82023 14.3654C5.88176 14.427 5.96522 14.4615 6.05225 14.4615ZM13.0096 5.00439C13.3085 5.00508 13.5957 5.12045 13.812 5.32671C14.0283 5.53297 14.1572 5.81438 14.1721 6.11289C13.404 5.96314 12.6141 5.96314 11.846 6.11289C11.8609 5.81417 11.9899 5.53257 12.2064 5.32627C12.423 5.11998 12.7105 5.00475 13.0096 5.00439ZM7.5545 12.1125C7.5545 10.6657 8.12923 9.2782 9.15227 8.25516C10.1753 7.23213 11.5628 6.65739 13.0096 6.65739C14.4564 6.65739 15.8439 7.23213 16.867 8.25516C17.89 9.2782 18.4647 10.6657 18.4647 12.1125V12.3638H7.5545V12.1125ZM6.38037 13.02H19.6387V13.8053H6.38037V13.02Z M6.05225 16.2778H19.9668C20.0538 16.2778 20.1373 16.2433 20.1988 16.1817C20.2604 16.1202 20.2949 16.0367 20.2949 15.9497C20.2949 15.8627 20.2604 15.7792 20.1988 15.7177C20.1373 15.6562 20.0538 15.6216 19.9668 15.6216H6.05225C5.96522 15.6216 5.88176 15.6562 5.82023 15.7177C5.75869 15.7792 5.72412 15.8627 5.72412 15.9497C5.72412 16.0367 5.75869 16.1202 5.82023 16.1817C5.88176 16.2433 5.96522 16.2778 6.05225 16.2778Z M6.05225 17.9653H19.9668C20.0538 17.9653 20.1373 17.9308 20.1988 17.8692C20.2604 17.8077 20.2949 17.7242 20.2949 17.6372C20.2949 17.5502 20.2604 17.4667 20.1988 17.4052C20.1373 17.3437 20.0538 17.3091 19.9668 17.3091H6.05225C5.96522 17.3091 5.88176 17.3437 5.82023 17.4052C5.75869 17.4667 5.72412 17.5502 5.72412 17.6372C5.72412 17.7242 5.75869 17.8077 5.82023 17.8692C5.88176 17.9308 5.96522 17.9653 6.05225 17.9653Z M18.2345 18.9966H7.78516C7.69813 18.9966 7.61467 19.0312 7.55314 19.0927C7.4916 19.1542 7.45703 19.2377 7.45703 19.3247C7.45703 19.4117 7.4916 19.4952 7.55314 19.5567C7.61467 19.6183 7.69813 19.6528 7.78516 19.6528H18.2345C18.3216 19.6528 18.405 19.6183 18.4666 19.5567C18.5281 19.4952 18.5627 19.4117 18.5627 19.3247C18.5627 19.2377 18.5281 19.1542 18.4666 19.0927C18.405 19.0312 18.3216 18.9966 18.2345 18.9966Z'
                      fill='currentColor'
                    />
                  </g>
                </svg>
              </div>
            </div>
            <span className='title'>Меню</span>
            <div className='icon menuChevron'>
              <svg viewBox='0 0 24 24' fill='none' width='1em' height='1em' xmlns='http://www.w3.org/2000/svg'>
                <g>
                  <path
                    fillRule='evenodd'
                    clipRule='evenodd'
                    d='M6.22998 20.23L7.99998 22L18 12L7.99998 2L6.22998 3.77L14.46 12L6.22998 20.23Z'
                    fill='currentColor'
                  />
                </g>
              </svg>
            </div>
          </div>
        </div>
        <div className='content'>
          <div className='btn item'>
            <div className='iconWrapper' style={{ background: colorShade, color: textColor }}>
              <div className='icon'>
                <svg viewBox='0 0 24 24' fill='none' width='1em' height='1em'
                     xmlns='http://www.w3.org/2000/svg'>
                  <g>
                    <path
                      fillRule='evenodd'
                      clipRule='evenodd'
                      d='M10.8362 12.8758L10.425 13.3836C10.7915 13.724 11.2574 13.9379 11.7544 13.9939V14.376H12.2738V14.011C13.101 13.9547 13.5747 13.4747 13.5747 12.8187C13.5747 12.1227 13.0553 11.8545 12.2738 11.6777V10.6052C12.5752 10.6783 12.8537 10.8253 13.084 11.0331L13.4717 10.5081C13.1385 10.2092 12.7191 10.0234 12.2738 9.97746V9.62402H11.7548V9.97202C11.0528 10.0575 10.5794 10.531 10.5794 11.1471C10.5794 11.8204 11.0528 12.0715 11.7548 12.2533V13.3658C11.4099 13.2887 11.0924 13.1194 10.8362 12.8758ZM12.2738 12.3852C12.6788 12.505 12.8614 12.6248 12.8614 12.8871C12.8614 13.1382 12.6617 13.3558 12.2738 13.4007V12.3852ZM11.2988 11.0845C11.3083 10.9632 11.3585 10.8487 11.4413 10.7596C11.5241 10.6705 11.6346 10.6121 11.7548 10.5938V11.5408C11.4465 11.4325 11.2982 11.3127 11.2982 11.0845H11.2988Z M12 16.2187C12.8344 16.2187 13.65 15.9713 14.3438 15.5078C15.0376 15.0442 15.5783 14.3853 15.8976 13.6144C16.2169 12.8436 16.3005 11.9953 16.1377 11.177C15.9749 10.3586 15.5731 9.60689 14.9831 9.01689C14.3931 8.42689 13.6414 8.02509 12.823 7.86231C12.0047 7.69953 11.1564 7.78308 10.3856 8.10238C9.61468 8.42169 8.9558 8.96242 8.49224 9.65619C8.02868 10.35 7.78125 11.1656 7.78125 12C7.78234 13.1185 8.22717 14.191 9.0181 14.9819C9.80903 15.7728 10.8815 16.2176 12 16.2187ZM12 8.4375C12.7046 8.4375 13.3934 8.64644 13.9792 9.03789C14.5651 9.42934 15.0217 9.98573 15.2913 10.6367C15.561 11.2876 15.6315 12.0039 15.494 12.695C15.3566 13.3861 15.0173 14.0208 14.5191 14.5191C14.0208 15.0173 13.3861 15.3566 12.695 15.494C12.004 15.6315 11.2877 15.5609 10.6367 15.2913C9.98573 15.0217 9.42934 14.5651 9.03789 13.9792C8.64644 13.3934 8.4375 12.7046 8.4375 12C8.43839 11.0554 8.81401 10.1498 9.48192 9.48192C10.1498 8.81401 11.0554 8.43839 12 8.4375Z M22.8175 4.46899H1.18262C1.09559 4.46899 1.01213 4.50356 0.950598 4.5651C0.889062 4.62664 0.854492 4.71009 0.854492 4.79712V19.2027C0.854492 19.2898 0.889062 19.3732 0.950598 19.4348C1.01213 19.4963 1.09559 19.5309 1.18262 19.5309H22.8175C22.9045 19.5309 22.988 19.4963 23.0495 19.4348C23.111 19.3732 23.1456 19.2898 23.1456 19.2027V4.79712C23.1456 4.71009 23.111 4.62664 23.0495 4.5651C22.988 4.50356 22.9045 4.46899 22.8175 4.46899ZM22.4894 18.8746H1.51074V5.12524H22.4894V18.8746Z M2.99634 15.9025C3.3903 15.903 3.76799 16.0597 4.04656 16.3382C4.32513 16.6168 4.48183 16.9945 4.48228 17.3885C4.48225 17.4315 4.49072 17.4742 4.5072 17.514C4.52368 17.5539 4.54785 17.5901 4.57833 17.6205C4.6088 17.651 4.64498 17.6752 4.6848 17.6917C4.72462 17.7081 4.7673 17.7166 4.8104 17.7166H19.1894C19.2325 17.7166 19.2752 17.7081 19.315 17.6917C19.3548 17.6752 19.391 17.651 19.4215 17.6205C19.4519 17.5901 19.4761 17.5539 19.4926 17.514C19.5091 17.4742 19.5175 17.4315 19.5175 17.3885C19.518 16.9945 19.6747 16.6168 19.9532 16.3382C20.2318 16.0597 20.6095 15.903 21.0035 15.9025C21.0905 15.9025 21.1739 15.8679 21.2355 15.8064C21.297 15.7449 21.3316 15.6614 21.3316 15.5744V8.42539C21.3316 8.33837 21.297 8.25491 21.2355 8.19337C21.1739 8.13184 21.0905 8.09727 21.0035 8.09727C20.6095 8.09682 20.2318 7.94012 19.9532 7.66155C19.6747 7.38298 19.518 7.00529 19.5175 6.61133C19.5175 6.56823 19.5091 6.52555 19.4926 6.48573C19.4761 6.44591 19.4519 6.40973 19.4215 6.37925C19.391 6.34878 19.3548 6.32461 19.315 6.30813C19.2752 6.29165 19.2325 6.28318 19.1894 6.2832H4.8104C4.7673 6.28318 4.72462 6.29165 4.6848 6.30813C4.64498 6.32461 4.6088 6.34878 4.57833 6.37925C4.54785 6.40973 4.52368 6.44591 4.5072 6.48573C4.49072 6.52555 4.48225 6.56823 4.48228 6.61133C4.48183 7.00529 4.32513 7.38298 4.04656 7.66155C3.76799 7.94012 3.3903 8.09682 2.99634 8.09727C2.90931 8.09727 2.82585 8.13184 2.76432 8.19337C2.70278 8.25491 2.66821 8.33837 2.66821 8.42539V15.5744C2.66821 15.6614 2.70278 15.7449 2.76432 15.8064C2.82585 15.8679 2.90931 15.9025 2.99634 15.9025ZM3.32446 8.72839C3.77364 8.658 4.18888 8.44686 4.51037 8.12536C4.83187 7.80387 5.04301 7.38863 5.1134 6.93945H18.8864C18.9568 7.38863 19.1679 7.80387 19.4894 8.12536C19.8109 8.44686 20.2262 8.658 20.6753 8.72839V15.2721C20.2262 15.3425 19.8109 15.5537 19.4894 15.8752C19.1679 16.1967 18.9568 16.6119 18.8864 17.0611H5.1134C5.04301 16.6119 4.83187 16.1967 4.51037 15.8752C4.18888 15.5537 3.77364 15.3425 3.32446 15.2721V8.72839Z'
                      fill='currentColor'
                    />
                  </g>
                </svg>
              </div>
            </div>
            <div className='titleSection'>
              <span className='title'>Розрахунок готівкою</span>
            </div>
          </div>
          <div className='btn item'>
            <div className='iconWrapper' style={{ background: colorShade, color: textColor }}>
              <div className='icon'>
                <svg viewBox='0 0 24 24' fill='none' width='1em' height='1em'
                     xmlns='http://www.w3.org/2000/svg'>
                  <g>
                    <path
                      fillRule='evenodd'
                      clipRule='evenodd'
                      d='M21.3047 4.65015H2.69537C2.2073 4.65069 1.73939 4.84482 1.39427 5.18993C1.04916 5.53504 0.855038 6.00296 0.854492 6.49102V17.5096C0.855038 17.9977 1.04916 18.4656 1.39427 18.8107C1.73939 19.1559 2.2073 19.35 2.69537 19.3505H21.3047C21.7928 19.35 22.2607 19.1559 22.6058 18.8107C22.9509 18.4656 23.1451 17.9977 23.1456 17.5096V6.49065C23.145 6.00265 22.9508 5.53483 22.6057 5.1898C22.2606 4.84476 21.7927 4.65069 21.3047 4.65015ZM2.69537 5.3064H21.3047C21.6188 5.30674 21.9199 5.43166 22.142 5.65375C22.3641 5.87583 22.489 6.17695 22.4894 6.49102V7.93796H1.51074V6.49065C1.51119 6.17664 1.63615 5.87562 1.85823 5.65362C2.0803 5.43161 2.38136 5.30674 2.69537 5.3064ZM21.3047 18.6939H2.69537C2.38129 18.6935 2.08018 18.5686 1.85809 18.3465C1.63601 18.1245 1.51109 17.8233 1.51074 17.5093V8.59383H22.4894V17.5096C22.4889 17.8237 22.364 18.1247 22.1419 18.3467C21.9198 18.5687 21.6188 18.6935 21.3047 18.6939Z M7.97552 12.4864C7.54662 12.486 7.12753 12.6148 6.7729 12.856C6.45014 12.6372 6.07389 12.5105 5.68455 12.4895C5.29521 12.4684 4.90749 12.5538 4.56302 12.7365C4.21854 12.9191 3.93033 13.1922 3.72933 13.5263C3.52832 13.8604 3.42212 14.2429 3.42212 14.6328C3.42212 15.0227 3.52832 15.4053 3.72933 15.7394C3.93033 16.0735 4.21854 16.3465 4.56302 16.5292C4.90749 16.7119 5.29521 16.7972 5.68455 16.7762C6.07389 16.7551 6.45014 16.6284 6.7729 16.4097C7.05088 16.5979 7.36913 16.7182 7.70208 16.7611C8.03503 16.804 8.37339 16.7681 8.68998 16.6565C9.00656 16.5448 9.29253 16.3604 9.52491 16.1181C9.75729 15.8759 9.92959 15.5825 10.028 15.2615C10.1264 14.9406 10.1481 14.601 10.0914 14.2701C10.0347 13.9393 9.90119 13.6263 9.70157 13.3564C9.50196 13.0865 9.24181 12.8672 8.94203 12.7161C8.64226 12.565 8.31122 12.4863 7.97552 12.4864ZM4.08209 14.6329C4.08169 14.3749 4.14839 14.1212 4.27563 13.8968C4.40287 13.6724 4.58628 13.4848 4.80787 13.3527C5.02945 13.2205 5.28159 13.1483 5.53954 13.143C5.79749 13.1377 6.05239 13.1995 6.27921 13.3225C5.98751 13.697 5.82912 14.1581 5.82912 14.6328C5.82912 15.1075 5.98751 15.5687 6.27921 15.9432C6.05242 16.0661 5.79755 16.128 5.53962 16.1227C5.28169 16.1174 5.02957 16.0452 4.808 15.913C4.58643 15.7809 4.40303 15.5934 4.2758 15.369C4.14856 15.1446 4.08187 14.8909 4.08227 14.6329H4.08209ZM7.97552 16.123C7.68076 16.123 7.39261 16.0356 7.14751 15.8719C6.90242 15.7082 6.71138 15.4754 6.59856 15.2031C6.48574 14.9308 6.45622 14.6311 6.51371 14.342C6.57121 14.0529 6.71314 13.7874 6.92157 13.579C7.13 13.3705 7.39555 13.2286 7.68465 13.1711C7.97375 13.1136 8.2734 13.1431 8.54572 13.256C8.81803 13.3688 9.05078 13.5598 9.21451 13.8049C9.37825 14.05 9.46562 14.3382 9.46559 14.6329C9.46514 15.028 9.30801 15.4067 9.02866 15.6861C8.74932 15.9654 8.37058 16.1225 7.97552 16.123Z M20.2461 10.509H14.6323C14.5892 10.509 14.5465 10.5175 14.5067 10.534C14.4669 10.5504 14.4307 10.5746 14.4002 10.6051C14.3698 10.6356 14.3456 10.6717 14.3291 10.7116C14.3126 10.7514 14.3042 10.7941 14.3042 10.8372V16.4511C14.3042 16.4942 14.3126 16.5369 14.3291 16.5767C14.3456 16.6165 14.3698 16.6527 14.4002 16.6832C14.4307 16.7137 14.4669 16.7378 14.5067 16.7543C14.5465 16.7708 14.5892 16.7793 14.6323 16.7792H20.2461C20.2892 16.7793 20.3318 16.7708 20.3717 16.7543C20.4115 16.7378 20.4477 16.7137 20.4781 16.6832C20.5086 16.6527 20.5328 16.6165 20.5493 16.5767C20.5657 16.5369 20.5742 16.4942 20.5742 16.4511V10.8377C20.5743 10.7946 20.5659 10.7518 20.5494 10.712C20.533 10.6721 20.5088 10.6358 20.4783 10.6053C20.4479 10.5747 20.4116 10.5505 20.3718 10.534C20.3319 10.5175 20.2892 10.509 20.2461 10.509ZM14.9604 16.123V14.9097H16.3328C16.4198 14.9097 16.5032 14.8751 16.5648 14.8136C16.6263 14.752 16.6609 14.6686 16.6609 14.5815C16.6609 14.4945 16.6263 14.4111 16.5648 14.3495C16.5032 14.288 16.4198 14.2534 16.3328 14.2534H14.9604V13.1427H16.3328C16.4198 13.1427 16.5032 13.1081 16.5648 13.0466C16.6263 12.985 16.6609 12.9016 16.6609 12.8145C16.6609 12.7275 16.6263 12.6441 16.5648 12.5825C16.5032 12.521 16.4198 12.4864 16.3328 12.4864H14.9604V11.1653H19.9179V12.4864H18.5456C18.4586 12.4864 18.3751 12.521 18.3136 12.5825C18.2521 12.6441 18.2175 12.7275 18.2175 12.8145C18.2175 12.9016 18.2521 12.985 18.3136 13.0466C18.3751 13.1081 18.4586 13.1427 18.5456 13.1427H19.9179V14.2534H18.5456C18.4586 14.2534 18.3751 14.288 18.3136 14.3495C18.2521 14.4111 18.2175 14.4945 18.2175 14.5815C18.2175 14.6686 18.2521 14.752 18.3136 14.8136C18.3751 14.8751 18.4586 14.9097 18.5456 14.9097H19.9179V16.123H14.9604Z'
                      fill='currentColor'
                    />
                  </g>
                </svg>
              </div>
            </div>
            <div className='titleSection'>
              <span className='title'>Розрахунок карткою</span>
            </div>
          </div>
        </div>

        <div className='btn'>
          <div className='iconWrapper' style={{ background: colorShade, color: textColor }}>
            <div className='icon'>
              <svg viewBox='0 0 24 24' fill='none' width='1em' height='1em'
                   xmlns='http://www.w3.org/2000/svg'>
                <g>
                  <path
                    fillRule='evenodd'
                    clipRule='evenodd'
                    d='M24 14.25C24 13.649 23.761 13.089 23.349 12.676C23.816 12.165 24.054 11.48 23.989 10.767C23.872 9.49597 22.727 8.49997 21.381 8.49997H15.204C15.51 7.57095 16 5.86798 16 4.49998C16 2.33098 14.157 0.5 13 0.5C11.962 0.5 11.219 1.085 11.188 1.109C11.069 1.20402 11 1.34802 11 1.49998V4.89097L8.11898 11.13L7.99997 11.191V11C7.99997 10.724 7.77595 10.4999 7.49995 10.4999H2.49998C1.12102 10.5 0 11.621 0 13V21C0 22.379 1.12102 23.5 2.49998 23.5H5.49998C6.58097 23.5 7.50497 22.81 7.85297 21.847C8.685 22.275 9.80498 22.5 10.5 22.5H19.679C20.768 22.5 21.721 21.766 21.945 20.754C22.06 20.232 21.993 19.707 21.765 19.251C22.503 18.88 23 18.117 23 17.25C23 16.896 22.919 16.557 22.766 16.251C23.504 15.879 24 15.117 24 14.25ZM21.891 15.484C21.698 15.507 21.535 15.638 21.473 15.823C21.412 16.008 21.463 16.211 21.605 16.345C21.859 16.584 22 16.906 22 17.25C22 17.881 21.523 18.411 20.892 18.484C20.6991 18.507 20.536 18.638 20.4741 18.823C20.4131 19.008 20.4641 19.211 20.6061 19.345C20.9351 19.655 21.0671 20.09 20.9681 20.538C20.8451 21.096 20.3031 21.5 19.6791 21.5H10.5C9.68798 21.5 8.32598 21.119 7.854 20.646C7.71098 20.504 7.49498 20.462 7.30898 20.538C7.122 20.615 6.99998 20.798 6.99998 21C6.99998 21.827 6.327 22.5 5.49998 22.5H2.49998C1.67297 22.5 0.999984 21.827 0.999984 21V13C0.999984 12.173 1.67297 11.5 2.49998 11.5H6.99998V12C6.99998 12.173 7.08998 12.334 7.23797 12.426C7.38398 12.514 7.56797 12.523 7.72397 12.447L8.72395 11.947C8.82497 11.897 8.90597 11.813 8.95397 11.71L11.954 5.20995C11.984 5.14395 12 5.07195 12 4.99995V1.77097C12.208 1.65598 12.569 1.49998 13 1.49998C13.548 1.49998 15 2.86198 15 4.49998C15 6.26 14.042 8.79697 14.033 8.822C13.975 8.975 13.995 9.14802 14.088 9.284C14.182 9.419 14.336 9.5 14.5 9.5H21.381C22.215 9.5 22.923 10.097 22.993 10.859C23.046 11.429 22.772 11.971 22.281 12.274C22.128 12.368 22.037 12.538 22.044 12.719C22.051 12.9 22.155 13.062 22.315 13.145C22.738 13.36 23 13.784 23 14.25C23 14.881 22.523 15.411 21.891 15.484Z M7.50002 11.5C7.22402 11.5 7 11.724 7 12V21C7 21.276 7.22402 21.5 7.50002 21.5C7.77602 21.5 8.00003 21.276 8.00003 21V12C8.00003 11.724 7.77602 11.5 7.50002 11.5Z'
                    fill='currentColor'
                  />
                </g>
              </svg>
            </div>
          </div>
          <div className='titleSection'>
            <span className='title'>Залиште відгук</span>
          </div>
        </div>

        <div className='myBookmarks'>
          <div className='bookmarksBtn'>
            Мій вибір <span className='bookmarksBadge' style={{ background: buttonColor, color: textColor }}>3</span>
          </div>
        </div>

      </div>
    </div>
  );
};

ClientPreview.defaultProps = {
  logo: '',
  color: '',
  textColor: '',
  backgroundColor: '',
  backgroundImage: '',
  isBgColorOn: false,
  isBgImageOn: false,
};

ClientPreview.propTypes = {
  logo: PropTypes.string,
  color: PropTypes.string,
  textColor: PropTypes.string,
  backgroundColor: PropTypes.string,
  backgroundImage: PropTypes.string,
  isBgColorOn: PropTypes.bool,
  isBgImageOn: PropTypes.bool,
};

export default ClientPreview;